Package com.sas.services.information.search

# Class ResponsibilitiesFilter

java.lang.Object
com.sas.services.information.search.ResponsibilitiesFilter

All Implemented Interfaces:
  `SearchFilter`, `Serializable`

public class ResponsibilitiesFilter extends Object implements SearchFilter, Serializable
The ResponsibilitiesFilter class is used to filter objects by the associated ResponsibleParty.
For instance, an application may need to display those objects associated to a given identity via the responsible party. The name of the associated identity and optionally the responsible party role can be used to filter objects.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `PERSON_ASSOCNAME`
  `protected static final String`
  `PERSON_ASSOCTYPE`
  `protected static final String`
  `RESPONSIBLEPARTY_ASSOCNAME`
  `protected static final String`
  `RESPONSIBLEPARTY_ASSOCTYPE`
  `protected static final String`
  `RESPONSIBLEPARTY_NAME`
  `protected static final String`
  `RESPONSIBLEPARTY_ROLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponsibilitiesFilter(String userName, String role)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Compare whether two filters are equal to each other.
  `FilterComponent`
  `getFilterComponent()`
  Returns the filter component used for processing this search criteria
  `String`
  `getFilterDescription()`
  Returns the description of this filter.
  `String`
  `getFilterType()`
  Returns the localized name of this filter.
  `String`
  `getReponsiblePartyName()`
  Retrieve the responsibleParty name
  `String`
  `getReponsiblePartyRole()`
  Retrieve the responsibleParty role

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RESPONSIBLEPARTY_NAME

    protected static final String RESPONSIBLEPARTY_NAME
    See Also:
      - Constant Field Values

  - ### RESPONSIBLEPARTY_ROLE

    protected static final String RESPONSIBLEPARTY_ROLE
    See Also:
      - Constant Field Values

  - ### RESPONSIBLEPARTY_ASSOCNAME

    protected static final String RESPONSIBLEPARTY_ASSOCNAME
    See Also:
      - Constant Field Values

  - ### RESPONSIBLEPARTY_ASSOCTYPE

    protected static final String RESPONSIBLEPARTY_ASSOCTYPE
    See Also:
      - Constant Field Values

  - ### PERSON_ASSOCNAME

    protected static final String PERSON_ASSOCNAME
    See Also:
      - Constant Field Values

  - ### PERSON_ASSOCTYPE

    protected static final String PERSON_ASSOCTYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ResponsibilitiesFilter

    public ResponsibilitiesFilter(String userName, String role)

- ## Method Details

  - ### getReponsiblePartyName

    public String getReponsiblePartyName()
    Retrieve the responsibleParty name

  - ### getReponsiblePartyRole

    public String getReponsiblePartyRole()
    Retrieve the responsibleParty role

  - ### getFilterType

    public String getFilterType()
    Description copied from interface: `SearchFilter`
    Returns the localized name of this filter. This method is typically used to help identify to the user what type of search is being performed. For instance, a name search, or a type search.
    Specified by:
      `getFilterType` in interface `SearchFilter`
    Returns:
      filter type

  - ### getFilterDescription

    public String getFilterDescription()
    Description copied from interface: `SearchFilter`
    Returns the description of this filter. This description is typically used for display purposes, or a log file, to inform the user what the intention of this filter is.
    Specified by:
      `getFilterDescription` in interface `SearchFilter`
    Returns:
      the filter description

  - ### getFilterComponent

    public FilterComponent getFilterComponent()
    Description copied from interface: `SearchFilter`
    Returns the filter component used for processing this search criteria
    Specified by:
      `getFilterComponent` in interface `SearchFilter`
    Returns:
      filter component

  - ### equals

    public boolean equals(Object obj)
    Compare whether two filters are equal to each other.
    Overrides:
      `equals` in class `Object`